[Previous] [Next] [Contents]

## `PART::Part2Mat` -- a planar representation of a given partition

#### Call(s)

`PART::Part2Mat(part <,alphabet=l>)`

#### Parameters

`part` | - | a partition

#### Options

`alphabet=l` | - | l[1] is the partition component, l[2] is the outer component

#### Introduction

The `PART::Part2Mat`function gives a planar representation of a partition, (called diagram of the partition) in the Cartesian plane.

A partition is a decreasing list of positive integers.

#### Example 1

    >> muEC::PART::Part2Mat( [4,2,2] );

                                 +-            -+
                                 |  1, 1, 0, 0  |
                                 |              |
                                 |  1, 1, 0, 0  |
                                 |              |
                                 |  1, 1, 1, 1  |
                                 +-            -+

    >> print( Unquoted, muEC::PART::Part2Mat( [4,2,2], alphabet=["#",""] ) ):

                                 +-            -+
                                 |  #, #,  ,    |
                                 |              |
                                 |  #, #,  ,    |
                                 |              |
                                 |  #, #, #, #  |
                                 +-            -+

#### Related Functions

`Part2Border`, `Part2Conjugate`, `Part2Diagonal`, `ListPart`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package